import { buscaJogos, criaJogo } from "@/serviço/jogos";
import { Jogo } from "@/types";
import { NextRequest, NextResponse } from "next/server";


export async function GET() {
	return NextResponse.json(await buscaJogos());
}

export async function POST(req: NextRequest) {
	const jogo: Jogo = await req.json();

	criaJogo(jogo);

	return NextResponse.json({mensagem: 'sucesso'}, {status: 200});
}